Bug 641841 - [abrt] gedit-1:2.30.2-1.fc13: plugin.py:443:on_view_key_press_event:ValueError: need more than 0 values to unpack
[abrt] gedit-1:2.30.2-1.fc13: plugin.py:443:on_view_key_press_event:ValueErro...
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-10-11 05:21 EDT by rippeltippel
Modified: 2011-06-28 07:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-28 07:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.23 KB, text/plain)
2010-10-11 05:21 EDT, rippeltippel
no flags Details

  None (edit)
Description rippeltippel 2010-10-11 05:21:01 EDT
abrt version: 1.1.13
architecture: x86_64
cmdline: gedit
comment: Does not occurr systematically.
component: gedit
executable: /usr/lib64/gedit-2/plugins
package: gedit-1:2.30.2-1.fc13
reason: plugin.py:443:on_view_key_press_event:ValueError: need more than 0 values to unpack
release: Fedora release 13 (Goddard)
time: 1286788644
uid: 500

plugin.py:443:on_view_key_press_event:ValueError: need more than 0 values to unpack

Traceback (most recent call last):
  File "/home/piero/.gnome2/gedit/plugins/autocomplete/plugin.py", line 443, in on_view_key_press_event
    (x, y) = view.translate_coordinates(self._window, x, y)
ValueError: need more than 0 values to unpack

Local variables in innermost frame:
alternatives: ['tcp', 'tcp://']
match_list: []
regex_word: '"t'
event: <gtk.gdk.Event at 0x25c9580: GDK_KEY_PRESS keyval=c>
self: <autocomplete.plugin.AutoComplete instance at 0x25f5e60>
incomplete_compound_word: 'tc'
start: <GtkTextIter at 0x1f824a0>
window: <enum GTK_TEXT_WINDOW_TEXT of type GtkTextWindowType>
rect: gtk.gdk.Rectangle(170, 238, 8, 17)
selection_iters: ()
incomplete_simple_word: 'tc'
compound_word_alternatives: ['tcp', 'tcp://']
key: 'c'
display_string: '> tcp\n  tcp://\n'
start_compound: <GtkTextIter at 0x2a620a0>
insert: <GtkTextIter at 0x2931450>
word: 'tcp://'
i: 3
doc: <gedit.Document object at 0x271f410 (GeditDocument at 0x20801c0)>
match_success: False
incomplete: 'tc'
y: 238
x: 170
alternatives_counter: 2
complete_key_pressed: False
view: <gedit.View object at 0x271f7d0 (GeditView at 0x279c010)>

How to reproduce
1. Edit a common python file
2. Open another python file in a new gedit tab
3. Drag the first tab out of gedit in order to split a new window
4. Edit the first file (now in a new window)
5. Press 'Save' (CTRL+s)
Comment 1 rippeltippel 2010-10-11 05:21:03 EDT
Created attachment 452669 [details]
File: backtrace
Comment 2 ecaddy 2011-04-01 08:32:18 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)

How to reproduce
1.  Had two tabs open in one Gedit window.
2.  Right click on 2nd tab and move to another window.
3.  Crash happened after moving to another window
Comment 3 Bug Zapper 2011-05-31 07:33:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2011-06-28 07:44:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.